Skip to main content
`Ctrl`+`K`

# PetscBenchViewFromOptions

Processes command line options to determine if/how a `PetscBench` is to be viewed.

## Synopsis

    #include "petscbm.h"
    PetscErrorCode PetscBenchViewFromOptions(PetscBench bm, PetscObject bobj, const char optionname[])

Collective

## Input Parameters

- bm - the object

- bobj - optional other object that provides prefix (if `NULL` then the prefix in `bm` is used)

- optionname - option to activate viewing

## See Also

`PetscBench`, `PetscBenchSetFromOptions()`, `PetscBenchRun()`, `PetscBenchCreate()`, `PetscBenchDestroy()`, `PetscBenchSetUp()`, `PetscBenchSetType()`, `PetscBenchSetSize()`, `PetscBenchGetSize()`

## Level

advanced

## Location

src/sys/classes/bm/interfaces/bm.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages